Bug 448152 - less fails with tcsh
less fails with tcsh
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: tcsh (Show other bugs)
5.2
x86_64 Linux
low Severity low
: rc
: ---
Assigned To: Vitezslav Crhonek
Bill Huang
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-23 15:31 EDT by K. Scott Rowe
Modified: 2010-04-14 03:39 EDT (History)
0 users

See Also:
Fixed In Version: setup-2.5.58-6.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-14 03:39:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description K. Scott Rowe 2008-05-23 15:31:08 EDT
Description of problem:
Even with no .tcshrc or .cshrc in the users home directory, if the login shell
is tcsh, using less produces "ESC%@".

Version-Release number of selected component (if applicable):
tcsh-6.14-12.el5
less-394-5.el5
setup-2.5.58-1.el5

How reproducible:
Very

Steps to Reproduce:
1.  Login as a user whos shell is tcsh
2.  less /etc/passwd
3.
  
Actual results:
ESC%@

Expected results:
seeing the contents of /etc/passwd

Additional info:
But (299221) claims to have solved this, but it still happens in 5.2.
Comment 1 Vitezslav Crhonek 2010-04-06 09:47:53 EDT
Should be fixed in setup-2.5.58-6.el5, can you confirm it please?
Comment 2 K. Scott Rowe 2010-04-13 11:45:14 EDT
(In reply to comment #1)
> Should be fixed in setup-2.5.58-6.el5, can you confirm it please?    

I don't know about setup-2.5.58-6.el5 but setup-2.5.58-7.el5 seems to have
fixed the problem.  I am running rhel5.4 now and no longer see this problem.
I had actually forgotten about it.  I think you can close this ticket now.
Comment 3 Vitezslav Crhonek 2010-04-14 03:39:23 EDT
Thanks for information.

Note You need to log in before you can comment on or make changes to this bug.